package fr.eisti.ing1.mc.java.figures;
/**
 * classe abstraite Figure
 *
 * généralise la notion de figure 2D, toute figure :
 * 		- ayant un nom
 *		- étant translatable
 *
 * @author Matthias Colin
 * @version 1.0 (29/03/2009)
 */
public abstract class Figure {

	// champs 
	
	private String nom; 	// nom de la Figure

	// constructeurs

	/**
	 * constructeur Figure à partir de son nom
	 */
	protected Figure(String nomInit) {
		this.nom = nomInit;
	}
	
	// accesseurs
	
	/**
	 * obtenir le nom de la Figure
	 * @return le nom
	 */
	public String getNom(){
		return this.nom;
	}
	
	// méthodes
	
	/**
	 * translater la figure d'un vecteur de déplacement
	 * @param deplacementHorizontal : partie horizontale du vecteur
	 * @param deplacementVertical : partie verticale du vecteur
	 */
	public abstract void translater(int deplacementHorizontal, 
			int deplacementVertical);
	
}
